<template lang="pug">
ul.list-group.list-group-flush.x-det-setup-mat
  BaseAnimationBlock
    li.list-group-item.justify-content-center.d-flex(v-if='loading' key='loading')
      i.align-bottom.fa.fa-spinner.fa-pulse
  li.list-group-item(v-show='!loading')
    h5 Detectors
    BaseAnimationGroup.row
      .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row.mt-1(:key='`${row.detectorId}-${row.detectorSetupId}`' v-for='row in infoData')
        template(v-if="det" v-for="det in [ getDetector(row.detectorId) ]")
          router-link.pl-2.text-primary.text-truncate(:to='getRoute(`/detectors/${det.id}`)') {{ det.name }}
          template(v-for="cont in [ getContainer(row.containerId) ] ")
            .flex-grow-1.text-muted.ml-2(v-if="cont")
              i.fa.fa-box-open.ml-2
              span.ml-2 Container:
              router-link.pl-2.text-primary.text-truncate(:to='getRoute(`/containers/${cont.id}`)') {{ cont.name }} #[span.text-muted {{ "#" + cont.id }}]
            div.d-flex(v-if='inEdit && isAdmin')
              button.btn.btn-outline-danger.btn-sm(v-if="cont" @click='removeContainer(det.id)' title='Remove Container')
                i.fa.fa-trash
                span.ml-2 Remove Container
              button.btn.btn-outline-primary.btn-sm(v-if="!cont" @click='setContainer(det.id)' title='Add Container')
                i.fa.fa-plus-square
                span.ml-2 Set Container
              button.btn.btn-outline-danger.btn-sm.ml-2(@click='removeDetector(det.id)' title='Remove Detector')
                i.fa.fa-trash
    .d-flex.justify-content-end(v-if='inEdit && isAdmin')
      button.btn.btn-primary.btn-sm.mt-1(@click='addDetector()' title='Add Detector')
        i.fa.fa-plus-square
    AddDetectorDialog(ref='addDetectorDialog' :ids='detectorIds')
    AddContainerDialog(ref='addContainerDialog')
</template>
<script>

export { default } from './DetectorsSetupDetectors.vue.js';

</script>
<style lang='scss'>
.x-det-setup-mat {
  input {
    width: 3rem;
  }
  .x-inout-badge {
    min-width: 3em;
  }
}
</style>
